Bug 45945 - /etc/pluggerrc too optimistic about file names
Summary: /etc/pluggerrc too optimistic about file names
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: plugger   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-25 23:45 UTC by Michal Jaegermann
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-27 03:20:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2001-06-25 23:45:21 UTC
Various files "in the wild" have blanks in their names.  Therefore all
occurences of $file in /etc/pluggerrc should be quoted like this: "$file".
This really makes a difference.

Moreover 'pluggerrc' package is missing man page.  At least in the
current 3.3 there is one and a URL in README (the only really supplied
documenation) referes one to it.

Comment 1 Ngo Than 2001-06-26 12:55:22 UTC
plugger-3.3-1 in rawhide fix this problem.

Comment 2 Michal Jaegermann 2001-06-27 03:08:58 UTC
> plugger-3.3-1 in rawhide fix this problem

Not quite.  Most of $file occurences is indeed now quoted but these three

        many:xanim +Av100 -Zr +W$window +q +Ze +f $file
        many: timidity -s 65000 -a -idqqqqqqq $file
        many: mpg123 -q -b 128 $file

are still there.  Use a global replace. :-)

Comment 3 Michal Jaegermann 2001-06-27 03:20:43 UTC
BTW - could you, please, add to /etc/pluggerrc the following lines (they do
not even have to be commented as netscape plugin will default to acroread):

application/pdf: pdf: Portable Document Format
        exits : xpdf "$file"

Other platforms may not even have acroread available and this works (tested).

Comment 4 Ngo Than 2001-06-27 16:13:32 UTC
Thanks, it's fixed in plugger-3.3-2.


Note You need to log in before you can comment on or make changes to this bug.